CellPath (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.rows

## Class CellPath

- java.lang.Object
- - org.apache.cassandra.db.rows.CellPath

-     public abstract class CellPath
      extends java.lang.Object

  A path for a cell belonging to a complex column type (non-frozen collection or UDT).

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `CellPath.Serializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CellPath` | `BOTTOM`
    `static CellPath` | `TOP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CellPath()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract CellPath` | `copy(AbstractAllocator allocator)`
    `static CellPath` | `create(java.nio.ByteBuffer value)`
    `int` | `dataSize()`
    `void` | `digest(java.security.MessageDigest digest)`
    `boolean` | `equals(java.lang.Object o)`
    `abstract java.nio.ByteBuffer` | `get(int i)`
    `int` | `hashCode()`
    `abstract int` | `size()`
    `abstract long` | `unsharedHeapSizeExcludingData()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BOTTOM

          public static final CellPath BOTTOM

    - #### TOP

          public static final CellPath TOP

  - ### Constructor Detail

    - #### CellPath

          public CellPath()

  - ### Method Detail

    - #### size

          public abstract int size()

    - #### get

          public abstract java.nio.ByteBuffer get(int i)

    - #### create

          public static CellPath create(java.nio.ByteBuffer value)

    - #### dataSize

          public int dataSize()

    - #### digest

          public void digest(java.security.MessageDigest digest)

    - #### copy

          public abstract CellPath copy(AbstractAllocator allocator)

    - #### unsharedHeapSizeExcludingData

          public abstract long unsharedHeapSizeExcludingData()

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public final boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation